Subject: Re: [Cfrg] Hardware requirements for elliptic curves

From: Peter Gutmann <[email-masked]>
Date: Wed, 17 Sep 2014 04:41:02 +0000

Watson Ladd <[email-masked]> writes:

>Amazon's Cloud HSM doesn't have RSA blinding turned on by default, showing 
>the extent to which side channels are a concern.

I've mentioned this before in another forum, but for those who missed it an
additional data point: Some time ago I asked my users whether they wanted
blinding enabled by default, with a tiny decrease in performance.  The
response spread was: No, 100%.

(I may or may not have enabled that and a bunch of other measures anyway, 
but the point is that in the real world, no-one cares).

Peter.